Skip to content
  • Phone Number Validation

    Use Phone Number Validation endpoint to validate, standardize, and verify phone numbers.

    Validate a phone number

    Request

    This is the Global Phone single request.

    Note: A License Key and Phone Number are both required for this request.

    Query
    tstring

    This is a string value that serves as a unique identifier for this set of records. It is returned as sent.

    Example:t=Test
    idstring, (password)required

    Required. The License Key issued by Melissa.

    Example:id={REPLACE-WITH-YOUR-LICENSE-KEY}
    optstring

    Options - Pass in options you want to set for the request.

    List options in the format OptionName:Parameter, with multiple options delimited with a ,. For example: OptionName:Parameter,OptionName:Parameter

    • CallerID:< False | True > - Adds the CallerID to the queried phone, if we found it to be valid (US and Canada Only). Default is False.
    • DefaultCallingCode:<Country-Calling-Code> - The sequence of digits found after the leading +. Blank by Default. This is used when the country could not be detected from the phone number or country input.
    • EnableBatchSuggestion:< False | True > - (Batch Mode Only) Enables records to be corrected using the suggestions engine when there is exactly only 1 suggestion found. Default is False.
    • PreferDialingCode:< False | True > - When there is a mismatch between a phone dialing code (the “+” prefix in a phone number) and country name this controls which is prioritized. Default is True.
    • TimeToWait:< [1-30] > - Select how long (in seconds) that you would like our Cloud API to wait on a single request before it times out. Select a smaller number if time is of essence, or longer if you would prefer more accurate results. Default set to 2.
    • VerifyPhone:< Express | Premium > - This sets the level of verification to be done on a phone check.
      • Express - Quickly validates against database of known phone numbers. This is the default option.
      • Premium - Validates against a database of known phone numbers. If a number was last real-time validated more than 180 days ago, or has not been real-time validated before, then a real-time check will be performed. Line Type Result Codes (Cell, Landline and VOIP) are available only available in Premium Mode and for US/CA only.
    Example:opt=TimeToWait:5,CallerID:True
    phonestringrequired

    Required. The phone number to be verified.

    Example:phone=8006354772
    ctrystring

    The suspected country of the input phone number as the official country name or the ISO2 code.

    Example:ctry=US
    ctryOrgstring

    The country from where the verification is being done as the official country name or the ISO2 code. If the Country of Origin differs from the Country, then the outputted phone number will be changed to a callable format from the country of origin.

    Example:ctryOrg=US
    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""*/*"
    Example:application/json
    Content-Typestringrequired

    Format of the request.

    Value:"application/json"
    GET
    /doGlobalPhone
    curl -i -X GET \
      'https://globalphone.melissadata.net/v4/WEB/GlobalPhone/doGlobalPhone?id=%7BREPLACE-WITH-YOUR-LICENSE-KEY%7D&phone=8006354772' \
      -H 'Accept: application/json' \
      -H 'Content-Type: application/json'

    Responses

    Global Phone Response

    Bodyapplication/json
    Versionstring

    Current revision number of Global Phone.

    TransmissionReferencestring

    A unique identifier for this set of records. Returned as sent.

    TransmissionResultsstring

    Returns result codes for the request as a whole. For more information, see Global Phone Result Codes.

    RecordsArray of objects

    Records array.

    Response
    { "Version": "9.4.0.1273", "TransmissionReference": "Test", "TransmissionResults": "", "Records": [ {} ] }